///////////////////////////////////////////////////////////////////////////////
// ControllerForm.cpp
// ==================
//
//  AUTHOR: Song Ho Ahn (song.ahn@gamil.com)
// CREATED: 2023-04-12
// UPDATED: 2023-04-12
///////////////////////////////////////////////////////////////////////////////

#include "ControllerForm.h"
#include "resource.h"
#include "Log.h"
using namespace Win;



///////////////////////////////////////////////////////////////////////////////
// default contructor
///////////////////////////////////////////////////////////////////////////////
ControllerForm::ControllerForm(ViewForm* view)
{
    this->view = view;
}



///////////////////////////////////////////////////////////////////////////////
// handle WM_CLOSE
///////////////////////////////////////////////////////////////////////////////
LRESULT ControllerForm::close()
{
    ::DestroyWindow(handle);
    return 0;
}



///////////////////////////////////////////////////////////////////////////////
// handle WM_CREATE
///////////////////////////////////////////////////////////////////////////////
LRESULT ControllerForm::create()
{
    // initialize all controls
    view->initControls(handle);
    return 0;
}



///////////////////////////////////////////////////////////////////////////////
// handle WM_COMMAND
///////////////////////////////////////////////////////////////////////////////
LRESULT ControllerForm::command(int id, int command, LPARAM msg)
{
    return 0;
}



